package tracing

import (
	"context"
	lcontext "git.gz.internal.jumaiyx.cn/pkg/log/context"
	"strconv"
)

const (
	ContextSpanId = "x-md-global-span-id"
)

func GetSpanId(ctx context.Context) (context.Context, int) {
	spanId := lcontext.GetContext(ctx, ContextSpanId)
	if spanId == "" {
		spanId = "1"
		ctx = lcontext.SetContext(ctx, ContextSpanId, spanId)
	} else {
		id, _ := strconv.Atoi(spanId)
		id++
		spanId = strconv.Itoa(id)
		ctx = lcontext.SetContext(ctx, ContextSpanId, spanId)
		return ctx, id
	}
	id, _ := strconv.Atoi(spanId)
	return ctx, id
}
